Subject: Re: bug#57400: 29.0.50; Support sending patches from VC directly

From: Dmitry Gutov <[email-masked]>
Date: Fri, 7 Oct 2022 01:10:32 +0300

Hi Philip,

On 06.10.2022 15:38, Philip Kaludercic wrote:
> I'm glad to hear that.  Here is the updated patch:

This version resolves the main questions I had as well.

Here's one more, though: the way I normally used 'git format-patch' is I 
pass just one ref, and that's usually the name of the branch to start 
the history at (the <since> argument from the manual). So I never had to 
"type revisions in the Git syntax" for this to work, something Eli was 
worried about.

Should this new command support this usage as well?

The range of revisions could be fetched by passing the base revision as 
LIMIT to the 'print-log' action (like vc-log-mergebase does), but how 
the updated calling convention for vc-prepare-patch will look is not 
obvious to me.